# $Revision: 1.13 $, $Date: 2011/08/08 09:35:05 $
Summary:	Spamassassin Milter
Summary(pl.UTF-8):	Milter dla Spamassassina
Name:		spamass-milter
Version:	0.3.2
Release:	1
License:	GPL
Group:		Daemons
Source0:	http://savannah.nongnu.org/download/spamass-milt/%{name}-%{version}.tar.gz
# Source0-md5:	964b011fe7d7eddfdb6d94f4767feab8
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-syntax.patch
Patch1:		%{name}-authuser.patch
Patch2:		%{name}-rcvd.patch
Patch3:		%{name}-bits.patch
Patch4:		%{name}-group.patch
Patch5:		%{name}-ipv6.patch
Patch6:		%{name}-rejectmsg.patch
URL:		https://savannah.nongnu.org/projects/spamass-milt/
BuildRequires:	libmilter-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	spamassassin
BuildRequires:	spamassassin-spamc
Requires:	rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	spamassassin
# Requires sendmail to have milter support, too.
Requires:	postfix
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A little plugin for the Sendmail Milter (Mail Filter) library that
pipes all incoming mail (including things received by rmail/UUCP)
through the SpamAssassin, a highly customizable SpamFilter.

%description -l pl.UTF-8
Mała wtyczka dla biblioteki Sendmail Milter (Mail Filter)
przepuszczająca całą przychodzącą pocztę (włącznie z rzeczami
otrzymanymi przez rmaila/UUCP) przez SpamAssasina - wysoko
konfigurowalny filtr antyspamowy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
%configure \
	SENDMAIL=/usr/lib/sendmail
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/spamass-milter
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/spamass-milter

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add spamass-milter
%service spamass-milter restart

%preun
if [ "$1" = "0" ]; then
	%service spamass-milter stop
	/sbin/chkconfig --del spamass-milter
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/spamass-milter
%attr(754,root,root) /etc/rc.d/init.d/spamass-milter
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/spamass-milter
%{_mandir}/man1/spamass-milter.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spamass-milter.spec,v $
Revision 1.13  2011/08/08 09:35:05  glen
- setup sendmail path

Revision 1.12  2011/08/08 07:22:38  glen
- use %service, adapter

Revision 1.11  2011/07/14 19:38:21  hawk
- patch for setting custom reject message

Revision 1.10  2011/07/14 19:21:47  hawk
- added set of patches from Fedora, see patch commit logs for details

Revision 1.9  2011/07/14 16:59:27  hawk
- BR libmilter-devel not sendmail-devel
- prefer postfix over sendmail as R: daemon with milter support

Revision 1.8  2011/07/14 16:52:57  hawk
- use /etc/sysconfig/spamass-milter for configuration

Revision 1.7  2009/03/22 22:33:45  baggins
- unified: removed _initrddir macro usage

Revision 1.6  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.4  2006/12/02 08:20:03  tiwek
- up to 0.3.1

Revision 1.3  2005/04/13 21:43:27  qboosh
- pl, chkconfig deps

Revision 1.2  2005/04/13 12:53:57  ankry
- formatting

Revision 1.1  2005/04/13 09:30:28  matipl
- init, base on postfix & orig spec
